Subject: RE: [AAA-WG]: Diameter Base: Application ID proposal

From: <[email-masked]>
Date: Thu, 4 Jul 2002 07:24:25 +0300

Hi Bernard,

> There are two distinct issues here:
> 
> a) Desire to make the app-ID unique for capabilities negotiation.
> b) Desire to make command + ? unique in the case of "experimental"
> commands.
> 
> So based on problem a) alone, it would seem that making the 
> app-ID unique makes sense.

Agreed.

> Problem b) is somewhat distinct, and whether ? = app-ID depends on how
> "experimental" commands are allocated. For example, if the "experimental"
> commands are allocated uniquely by IANA, then I think we don't also need
> the app-ID to uniquify the command code. However, if there is a small
> experimental command space that can be reused for multiple 
> uses, then to prevent conflicts, then command + app-ID needs to be unique.

I think it is the later, a re-usable experimental range of command codes
are probably useful.
 
> Note that whatever uniquifies the command needs to be put into the
> Diameter header, so that it won't be necessary to parse AVPs 
> to figure out what the command is.

Agreed.
 
> I'd also note that making app-id + command unique implies that a new
> application reusing standard commands could change the definition of
> standard commands. That might argue for allocation of "experimental"
> commands by IANA, so that the command alone would be unique, the app-ID
> wouldn't be needed in the header, and a new application couldn't redefine
> the meaning of existing standard commands.

I am not so sure if this is needed or not.  I would worry that if I
am testing a new possible (experimental) application then I should
register the new commands, even if the experiment fails.  

John

---

From: Jari Arkko <[email-masked]>
Date: Thu, 04 Jul 2002 09:56:23 +0300

I agree with what John is saying below.